/* here you can put your own css to customize and override the theme */
/***
Rounded Portlets
***/
/*
.portlet {
	border-radius: 4px !important;
}

.portlet .portlet-title {
	border-radius: 4px 4px 0px 0px !important;
}

.portlet .portlet-body,
.portlet .portlet-body .form-actions  {
	border-radius: 0px 0px 4px 4px !important;
}
*/
/*
Change Quick Sidebar Width
*/
/*
.page-quick-sidebar-wrapper {
  right: -370px;
  width: 370px;
}

.page-quick-sidebar-open.page-quick-sidebar-push-content .page-sidebar-wrapper {
  margin-left: -370px;
}

.page-quick-sidebar-open.page-quick-sidebar-push-content .page-footer {
  margin-right: 370px;
  margin-left: -370px;
}

.page-sidebar-reversed.page-quick-sidebar-open.page-quick-sidebar-push-content .page-sidebar-wrapper {
  margin-right: 370px;
}

.page-quick-sidebar-open.page-quick-sidebar-push-content.page-quick-sidebar-full-height .page-header {
  margin-left: -370px;
}

.page-quick-sidebar-wrapper .page-quick-sidebar .page-quick-sidebar-list {
  width: 370px !important;
}

.page-quick-sidebar-wrapper .page-quick-sidebar .page-quick-sidebar-item {
  width: 370px !important;
  margin-left: 370px;
}

.page-quick-sidebar-wrapper .page-quick-sidebar .page-quick-sidebar-content-item-shown .page-quick-sidebar-list {
  margin-left: -370px;
}
*/
.portlet-form {
  float: left; }
  .portlet-form .form-group {
    padding: 6px 0 0; }
    .portlet-form .form-group .control-label {
      font-size: 18px; }
    .portlet-form .form-group .input-group {
      color: #333; }
    .portlet-form .form-group .form-control {
      height: 30px; }
    .portlet-form .form-group .btn {
      padding: 5px 14px; }

.form-inline .form-group .control-label {
  margin-right: 10px;
  margin-left: 10px; }

.form-inline .form-group .form-control {
  height: 28px; }

.form-inline .form-group .btn {
  padding: 4px 14px; }

.chart-tabs .tab-content > .tab-pane {
  display: block;
  height: 0;
  overflow: hidden; }

.chart-tabs .tab-content > .active {
  height: auto; }

.glyphicon-arrow-down {
  color: #E26A6A; }

.glyphicon-arrow-up {
  color: #90ee7e; }

.dropdown-user .username {
  position: relative;
  display: block;
  line-height: 20px;
  margin: 0;
  padding: 14px 10px 12px 10px;
  color: #c6cfda; }

.table-group-actions.pull-right .btn {
  margin-left: 3px; }

.table-scrollable-container .table-container .table-fixed thead {
  width: 100%; }

.table-scrollable-container .table-container .heading {
  overflow: hidden; }
  .table-scrollable-container .table-container .heading th {
    width: 100%; }

.table-scrollable-container .table-container .table-fixed tbody {
  height: 230px;
  overflow-y: auto;
  width: 100%; }

.table-scrollable-container .table-container .table-fixed thead, .table-scrollable-container .table-container .table-fixed tbody, .table-scrollable-container .table-container .table-fixed tr, .table-scrollable-container .table-container .table-fixed td, .table-scrollable-container .table-container .table-fixed th {
  display: block; }

.table-scrollable-container .table-container .table-fixed tr {
  overflow: hidden; }

.table-scrollable-container .table-container .table-fixed tbody td, .table-scrollable-container .table-container .table-fixed thead > tr > th {
  float: left;
  border-bottom-width: 0; }

.ie9 .table-scrollable-container .table-container .table-fixed tbody {
  height: auto; }

.ie9 .hide-ie9 {
  display: none; }

.no-wrap {
  white-space: nowrap; }

.table.basketTable .amountTextBox {
  margin: 0;
  float: left;
  width: 150px; }

.table.basketTable .basket-item-ammount {
  margin-top: 8px;
  color: #BBB;
  padding-left: 5px;
  float: left; }

.wellContainer .totalContainer {
  line-height: 34px;
  margin-right: 20px; }

.form-group-radio .checkbox, .form-group-radio .radio {
  padding-right: 20px;
  display: inline-flex;
  padding-left: 37px; }

.pending-users {
  padding: 14px 10px 12px 10px; }

.radio-padding-left {
  padding-left: 20px; }

.readMessageContainer {
  border: 1px solid #CCCCCC;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  padding: 7px;
  margin-bottom: 7px; }

.messageContentContainer {
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  border: 1px solid #e5e5e5;
  padding: 3px; }

.model-body-scrolling {
  max-height: 400px;
  min-height: 150px;
  overflow-y: scroll !important; }

.datepicker-container {
  padding-bottom: 3px; }

.datepicker {
  color: #333;
  font-size: 1.1em;
  background: transparent;
  border: 0px;
  margin: -10px -26px 0px -30px;
  padding: 0px 23px 0px 30px;
  width: 259px;
  position: relative;
  z-index: 1000;
  cursor: pointer;
  text-align: center; }

input.datepicker:focus {
  outline: 0; }

.datepicker-container {
  margin-top: 9px; }

.left {
  float: left; }

.right {
  float: right; }

.custom-select {
  margin: 10px 0px 0px 0px; }

.button-space {
  margin-bottom: 10px; }

.total-employees {
  margin-top: 17px;
  margin-right: 10px;
  display: inline-block; }

.total-employees-number {
  font-size: 28px; }

.filrets-line {
  height: 30px; }

.print-custom-select {
  display: none !important; }

.print-block {
  display: none !important; }

.datepicker-shortcuts-list {
  height: 30px; }

.inline-flex {
  display: inline-flex; }

.link-button {
  background: none !important;
  border: none;
  padding: 0 !important;
  font: inherit;
  cursor: pointer;
  color: #4078c0;
  text-decoration: none;
  font-weight: bold; }

.link-button:hover {
  color: #4078c0;
  text-decoration: underline; }

.cursor-pointer {
  cursor: pointer; }

.search {
  float: left;
  display: inline-block;
  padding: 6px 10px 6px 0; }

.filters {
  display: inline-block;
  float: left;
  width: auto;
  padding: 6px 0; }

.totalEmployees {
  display: inline-block;
  float: left;
  width: auto;
  padding: 6px 0; }

@media (max-width: 768px) {
  .actions {
    float: left !important; }
  .modal-content .btn {
    width: 100%;
    margin-top: 1px;
    margin-bottom: 1px; }
  .modal-content .btn-group {
    width: 100%; } }

@media (max-width: 950px) {
  .hidden-950 {
    display: none !important; } }

@media (max-width: 400px) {
  .hidden-400 {
    display: none !important; } }

@media (max-width: 1200px) {
  .hidden-1200 {
    display: none !important; } }

@media (max-width: 700px) {
  .hidden-700 {
    display: none !important; }
  .calendar {
    float: initial !important; }
  .right {
    float: initial !important; }
  .portlet > .portlet-title > .nav-tabs > li {
    width: 100%; }
  .portlet.box.red-sunglo > .portlet-title {
    margin-bottom: 5px; }
  .portlet > .portlet-title > .nav-tabs {
    width: 100%; } }

.well {
  background-color: #f9f9f9; }

/* Datepicker text overrides over popup*/
.modal-open .datepicker {
  z-index: 1000 !important; }

@media (max-width: 768px) {
  .basket-tab-set ul {
    display: none; }
  .inline-users {
    max-width: 140px !important; }
  .mobile-hide {
    display: none !important; }
  .mobile-show {
    display: inherit !important; } }

@media (min-width: 767px) {
  .mobile-hide {
    display: inherit; }
  .mobile-show {
    display: none; } }

.selectpicker {
  margin-right: 10px;
  margin-bottom: 6px; }

#todo-project-list-content.width {
  height: auto;
  -webkit-transition: width 0.35s ease;
  -moz-transition: width 0.35s ease;
  -o-transition: width 0.35s ease;
  transition: width 0.35s ease;
  max-width: 400px; }

.todo-project-list > .nav > li {
  overflow: hidden;
  white-space: nowrap; }

.todo-username {
  padding: 3px 15px 0 15px !important; }

.custom-icon-info {
  margin-top: 9px;
  font-size: 17px; }

.custom-radio-inline-list {
  padding-top: 8px; }

.custom-radio-inline {
  padding-left: 3px; }

.custom-radio-input {
  margin-left: -8px; }

.custom-radio {
  margin-right: 16px; }

.custom-radio-label {
  padding-left: 2px; }

.custom-color-select {
  position: absolute;
  display: block;
  cursor: pointer;
  width: 20px;
  height: 20px;
  right: 6px; }

.margin-bottom-10 {
  margin-bottom: 10px; }

/* File Select */
.btn-file {
  position: relative;
  overflow: hidden; }

.btn-file input[type=file] {
  position: absolute;
  top: 0;
  right: 0;
  min-width: 100%;
  min-height: 100%;
  /*font-size: 100px;*/
  text-align: right;
  filter: alpha(opacity=0);
  opacity: 0;
  outline: none;
  background: white;
  cursor: inherit;
  display: block; }

.text-align-left {
  text-align: left !important; }

.padding-0 {
  padding: 0; }

.ng-invalid-hex {
  border-color: #a94442;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075); }

.portlet-alerts {
  padding: 0;
  margin-bottom: 10px;
  min-height: 41px;
  height: 51px; }

/*Change the size here*/
div.tooltip-inner {
  max-width: 250px; }

@media (min-width: 768px) {
  .form-horizontal input[type=checkbox] {
    margin-top: 10px; } }

.custome-thumbnail-img {
  display: block;
  border-radius: 10px !important;
  max-width: 250px !important;
  height: 150px !important; }

.border-none {
  border: none !important; }

.center {
  text-align: center !important; }

.portal-button-style {
  font-family: 'Open Sans',sans-serif;
  border: 0 none;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  -o-border-radius: 4px;
  border-radius: 4px;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-size: 12px;
  font-weight: bold;
  text-transform: uppercase;
  margin: 0;
  outline: none;
  text-decoration: none;
  text-shadow: 0 -1px 1px rgba(0, 0, 0, 0.4);
  -webkit-transition: background .25s;
  transition: background .25s;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-smoothing: antialiased;
  -webkit-font-smoothing: antialiased;
  width: 100px;
  height: 25px; }

.portal-link-style {
  color: black;
  font-size: 12px;
  border-style: none;
  background-color: white;
  padding: 5px; }

.portal-green-button {
  text-decoration: none;
  background-color: #f69500;
  /* background-image: -webkit-linear-gradient(270deg,rgba(193,242,157,.33),rgba(23,85,12,.33)); */
  /* background-image: linear-gradient(180deg,rgba(193,242,157,.33),rgba(23,85,12,.33)); */
  /* -webkit-box-shadow: inset 0 2px 4px rgba(255,255,255,.3),inset 0 1px 0 rgba(255,255,255,.15),0 2px 4px rgba(0,0,0,.34); */
  /* box-shadow: inset 0 2px 4px rgba(255,255,255,.3),inset 0 1px 0 rgba(255,255,255,.15),0 2px 4px rgba(0,0,0,.34);*/
  color: #fff; }

.portal-blue-button {
  text-decoration: none;
  background-color: #24566e;
  /*background-image: -webkit-linear-gradient(270deg,rgba(93,137,157,.33),rgba(0,36,55,.33));
  background-image: linear-gradient(180deg,rgba(93,137,157,.33),rgba(0,36,55,.33));
  -webkit-box-shadow: inset 0 2px 4px rgba(255,255,255,.17),inset 0 1px 0 rgba(255,255,255,.1),0 2px 4px rgba(0,0,0,.34);
  box-shadow: inset 0 2px 4px rgba(255,255,255,.17),inset 0 1px 0 rgba(255,255,255,.1),0 2px 4px rgba(0,0,0,.34);*/
  color: #fff; }

.portal-cancel-button {
  text-decoration: underline;
  /*background-color: #992e00;
  background-image: -webkit-linear-gradient(270deg,rgba(238,90,0,.33),rgba(61,13,0,.33));
  background-image: linear-gradient(180deg,rgba(238,90,0,.33),rgba(61,13,0,.33));
  -webkit-box-shadow: inset 0 2px 4px rgba(255,255,255,.2),inset 0 1px 0 rgba(255,255,255,.15),0 2px 4px rgba(0,0,0,.34);
  box-shadow: inset 0 2px 4px rgba(255,255,255,.2),inset 0 1px 0 rgba(255,255,255,.15),0 2px 4px rgba(0,0,0,.34);*/
  color: #004456; }

.cusomer-list-caption {
  width: 100%;
  display: table !important;
  overflow: hidden; }

.cusomer-list-caption > div {
  vertical-align: middle; }

.table-cell {
  display: table-cell; }

.video-thumbnail {
  margin-right: auto;
  margin-left: auto; }

.lbVideoContainer {
  text-align: center; }

.scrollable-table {
  border: 1px solid #ddd; }

.scrollable-table > table {
  margin: 0 !important; }

.scrollable-table > ul {
  padding: 0;
  margin: 0 !important; }

.scrollable-table > ul li {
  border: 0px;
  border-bottom: 1px #ddd;
  border-style: solid; }

.scrollable-table > ul li > div {
  height: 36px; }

.scrollable-table > ul li:nth-of-type(odd) {
  background-color: #f9f9f9; }

.div-row {
  padding: 8px;
  height: 100%;
  border-right: 1px solid #ddd;
  white-space: nowrap;
  overflow: hidden; }

.div-btn {
  font-size: 13px; }

.cms-settings {
  overflow: hidden;
  padding-bottom: 2px;
  /*height: 30px;*/ }

.margin-top-5 {
  margin-top: 5px; }

@media (max-width: 768px) {
  .color-picker .tooltip-inner {
    max-width: 300px;
    padding: 0;
    background-color: #ccc;
    border: 2px solid #CCCCCC; }
  .color-picker-img {
    max-width: 300px; } }

@media (min-width: 767px) {
  .color-picker .tooltip-inner {
    max-width: 600px;
    padding: 0;
    background-color: #ccc;
    border: 2px solid #CCCCCC; }
  .color-picker-img {
    max-width: 600px; } }

.tooltip.in {
  opacity: 1 !important; }

.sortable-table-head {
  font-size: 14px;
  font-weight: 600;
  list-style: none;
  background-color: #eee !important; }

.selectize-control.single .selectize-input {
  height: 30px; }

.selectize-control.single.deals-select .selectize-input {
  height: inherit; }

.selectize-dropdown.single {
  width: 100%; }

.sortable-table-head {
  font-size: 14px;
  font-weight: 600;
  list-style: none;
  background-color: #eee !important; }

.selectize-control.single .selectize-input {
  height: 30px; }

.selectize-control.single.deals-select .selectize-input {
  height: inherit; }

.selectize-dropdown.single {
  width: 100%; }

.block-spinner-container {
  position: absolute;
  top: 50%;
  left: 40%; }

.margin-vertical-3 {
  margin-top: 3px;
  margin-bottom: 3px; }

.daterangepicker select.monthselect, .daterangepicker select.yearselect {
  border: 1px solid #e5e5e5; }

.daterangepicker select.monthselect:focus, .daterangepicker select.yearselect:focus {
  border-color: #999; }

/*# sourceMappingURL=data:application/json;base64,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 */